AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- DynamicComponentDirective

## Index

### Constructors

- constructor

### Properties

- viewContainerRef

## Constructors

### constructor

- new DynamicComponentDirective(viewContainerRef: ViewContainerRef): DynamicComponentDirective

- - Defined in aws-amplify-angular/src/directives/dynamic.component.directive.ts:6

  #### Parameters

  - ##### viewContainerRef: ViewContainerRef

  #### Returns DynamicComponentDirective

## Properties

### viewContainerRef

viewContainerRef: ViewContainerRef

- Defined in aws-amplify-angular/src/directives/dynamic.component.directive.ts:7